"""
Demonstrate searching file records using FOR-IN and BREAK.

Searches input file for a line containing 3 matching integers.
Uses BREAK to avoid reading remaining records when match has been found.
"""


def main():
    data_directory_name = 'data'
    infile_name = input('Please enter the input filename: ')
    infile_path_and_name = f'{data_directory_name}/{infile_name}'
    infile = open(infile_path_and_name, 'r')
    line_count = 0
    match_found = False

    for line in infile:
        line_count += 1
        values_as_string = line.split()
        values = []
        for string_value in values_as_string:
            values.append(int(string_value))

        first, second, third = values
        if first == second == third:
            match_found = True
            print(f'\nThree matching values of {first} were found on line {line_count:,}.')
            break

    infile.close()

    if not match_found:
        print(f'\nNo matching values were found in {line_count:,} lines.')


main()
