"""
Demonstrate processing data records using while.

Transform records with names in natural order to records with names in sort order.
Many data store technologies support reading data without using the FOR-IN construct.
Python files support the readline() method.
"""


def main():
    data_directory_name = 'data'
    infile_name = input('Please enter the input filename: ')
    infile_path_and_name = f'{data_directory_name}/{infile_name}'
    infile = open(infile_path_and_name, 'r')
    outfile_name = f'sort_order_{infile_name}'
    outfile_path_and_name = f'{data_directory_name}/{outfile_name}'
    outfile = open(outfile_path_and_name, 'w', encoding='utf-8')
    line_count = 0
    line = read_a_line(infile)

    while line != '':
        line_count += 1
        first_name, last_name = line.split()
        content = f'{last_name}, {first_name}'
        print(content, file=outfile)
        line = read_a_line(infile)

    infile.close()
    outfile.close()

    print(f'\n{line_count} records were read from {infile_name}')
    print(f'{line_count} records were written to {outfile_name}')


def read_a_line(the_file):
    return the_file.readline()


main()
